Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Validators
Class UserAddressValidator

    java.lang.Object
      Validators.UserAddressValidator

public class UserAddressValidator
extends java.lang.Object

Field Summary
`private java.lang.String` | `message`

Constructor Summary
`UserAddressValidator()`

Method Summary
`java.lang.String` | `getMessage()` This method is being used for getting the error message if the validation is unsuccessful.
`private static boolean` | `isNullorEmpty(java.lang.String s)` This method is being used for checking whether the given string is null or empty.
`private boolean` | `isValidEmailAddress(java.lang.String strEmailAddress)` This method is being used for validating a given email address.
`void` | `setMessage(java.lang.String message)` This method is being used for setting the error message
`boolean` | `validate(UserAddress_Data addressData)` This method is being used for validating the address details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    private java.lang.String message

Constructor Detail

### UserAddressValidator

    public UserAddressValidator()

Method Detail

### getMessage

    public java.lang.String getMessage()

  This method is being used for getting the error message if the validation is unsuccessful.

  Returns:
    String The message to be displayed.

### isNullorEmpty

    private static boolean isNullorEmpty(java.lang.String s)

  This method is being used for checking whether the given string is null or empty.

  Parameters:
    `s` - The string to be checked.
  Returns:
    boolean Specifies whether the validation was successful.

### isValidEmailAddress

    private boolean isValidEmailAddress(java.lang.String strEmailAddress)

  This method is being used for validating a given email address.

  Parameters:
    `strEmailAddress` - The email address to be validated.
  Returns:
    boolean Specifies whether the validation was successful.

### setMessage

    public void setMessage(java.lang.String message)

  This method is being used for setting the error message

  Parameters:
    `message` - The message to be displayed.
  Returns:
    void

### validate

    public boolean validate(UserAddress_Data addressData)

  This method is being used for validating the address details.

  Parameters:
    `addressData` - The address details to be validated.
  Returns:
    boolean Specifies whether the validation was successful.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD